// если была нажата кнопка, возвращает 1
// в противном случае возвращает 0

#define F_CPU 8000000UL

#include <avr/io.h>
#include <util/delay.h>

extern unsigned char chas, mins, sec;  // часы,минуты, секунды,

//==============================================================================
unsigned char mknopki(void)
{
  	PORTD |= 0b11100000;
  	_delay_ms(50);
  
  	unsigned char readkey = (PIND & 0b11100000);
  
  	if (readkey == 0b11100000) return 0; // не нажата

  	if ((readkey & (1<<PD7)) == 0)  // правая кнопка
  	{ 	sec = 0;
  	}

  	if ((readkey & (1<<PD6)) == 0)  // средняя кнопка
  	{	mins++;
	    	if (mins > 59) mins = 0;
  	}
  
  	if ((readkey & (1<<PD5)) == 0)  // левая кнопка
  	{ 	chas++;
    		if (chas > 23) chas = 0;
  	}
  
  	PORTD &= 0b00011111;
  	return 1;
  
}
//==============================================================================
